• R/O
  • SSH

GM: Commit

Main GraphicsMagick source repository


Commit MetaInfo

Révision26a00ae9d907c7ee66d6fcc4c18835055c84500f (tree)
l'heure2004-04-05 10:56:38
AuteurBob Friesenhahn <bfriesen@Grap...>
CommiterBob Friesenhahn

Message de Log

* version.sh (PACKAGE_RELEASE_DATE): Release 1.0.6 in order to
capture the remaining fixes on the 1.0 branch.
* coders/wmf.c (ipa_device_begin): Resolve WMF rendering bug with
black color.
* configure.ac: Update tests for FreeType headers since they
started to fail with the latest FreeType.
* magick/delegate.c (ListDelegateInfo): Ensure that loop
terminates if fprintf returns zero.

Change Summary

Modification

diff -r dbafaec313a1 -r 26a00ae9d907 ChangeLog
--- a/ChangeLog Mon Mar 29 21:37:34 2004 -0600
+++ b/ChangeLog Sun Apr 04 20:56:38 2004 -0500
@@ -1,3 +1,14 @@
1+2004-04-04 Bob Friesenhahn <bfriesen@simple.dallas.tx.us>
2+
3+ * version.sh (PACKAGE_RELEASE_DATE): Release 1.0.6 in order to
4+ capture the remaining fixes on the 1.0 branch.
5+ * coders/wmf.c (ipa_device_begin): Resolve WMF rendering bug with
6+ black color.
7+ * configure.ac: Update tests for FreeType headers since they
8+ started to fail with the latest FreeType.
9+ * magick/delegate.c (ListDelegateInfo): Ensure that loop
10+ terminates if fprintf returns zero.
11+
112 2004-03-29 Bob Friesenhahn <bfriesen@simple.dallas.tx.us>
213
314 * magick/annotate.c: Use new-style FreeType inclusion.
diff -r dbafaec313a1 -r 26a00ae9d907 Magick++/bin/Makefile.in
--- a/Magick++/bin/Makefile.in Mon Mar 29 21:37:34 2004 -0600
+++ b/Magick++/bin/Makefile.in Sun Apr 04 20:56:38 2004 -0500
@@ -375,9 +375,9 @@
375375 exit 1;; \
376376 esac; \
377377 done; \
378- echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Magick++/bin/Makefile'; \
378+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Magick++/bin/Makefile'; \
379379 cd $(top_srcdir) && \
380- $(AUTOMAKE) --foreign Magick++/bin/Makefile
380+ $(AUTOMAKE) --gnu Magick++/bin/Makefile
381381 .PRECIOUS: Makefile
382382 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
383383 @case '$?' in \
diff -r dbafaec313a1 -r 26a00ae9d907 Magick++/lib/Magick++/Makefile.in
--- a/Magick++/lib/Magick++/Makefile.in Mon Mar 29 21:37:34 2004 -0600
+++ b/Magick++/lib/Magick++/Makefile.in Sun Apr 04 20:56:38 2004 -0500
@@ -370,9 +370,9 @@
370370 exit 1;; \
371371 esac; \
372372 done; \
373- echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Magick++/lib/Magick++/Makefile'; \
373+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Magick++/lib/Magick++/Makefile'; \
374374 cd $(top_srcdir) && \
375- $(AUTOMAKE) --foreign Magick++/lib/Magick++/Makefile
375+ $(AUTOMAKE) --gnu Magick++/lib/Magick++/Makefile
376376 .PRECIOUS: Makefile
377377 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
378378 @case '$?' in \
diff -r dbafaec313a1 -r 26a00ae9d907 Magick++/lib/Makefile.in
--- a/Magick++/lib/Makefile.in Mon Mar 29 21:37:34 2004 -0600
+++ b/Magick++/lib/Makefile.in Sun Apr 04 20:56:38 2004 -0500
@@ -428,9 +428,9 @@
428428 exit 1;; \
429429 esac; \
430430 done; \
431- echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Magick++/lib/Makefile'; \
431+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Magick++/lib/Makefile'; \
432432 cd $(top_srcdir) && \
433- $(AUTOMAKE) --foreign Magick++/lib/Makefile
433+ $(AUTOMAKE) --gnu Magick++/lib/Makefile
434434 .PRECIOUS: Makefile
435435 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
436436 @case '$?' in \
diff -r dbafaec313a1 -r 26a00ae9d907 VisualMagick/installer/inc/version.isx
--- a/VisualMagick/installer/inc/version.isx Mon Mar 29 21:37:34 2004 -0600
+++ b/VisualMagick/installer/inc/version.isx Sun Apr 04 20:56:38 2004 -0500
@@ -11,4 +11,4 @@
1111 #define public MagickPackageName "GraphicsMagick"
1212 #define public MagickPackageVersion "1.0.6"
1313 #define public MagickPackageVersionAddendum ""
14-#define public MagickPackageReleaseDate "unreleased"
14+#define public MagickPackageReleaseDate "04/04/04"
diff -r dbafaec313a1 -r 26a00ae9d907 coders/wmf.c
--- a/coders/wmf.c Mon Mar 29 21:37:34 2004 -0600
+++ b/coders/wmf.c Sun Apr 04 20:56:38 2004 -0500
@@ -691,7 +691,6 @@
691691
692692 DrawSetClipRule(WmfDrawContext,EvenOddRule); /* Default for WMF is ALTERNATE polygon fill mode */
693693 DrawSetFillColorString(WmfDrawContext,"none"); /* Default brush is WHITE_BRUSH */
694- DrawSetFillOpacity(WmfDrawContext,1.0); /* Default background mode is OPAQUE */
695694 DrawSetStrokeColorString(WmfDrawContext,"none"); /* Default pen is BLACK_PEN */
696695 DrawSetStrokeLineCap(WmfDrawContext,ButtCap); /* Default linecap is PS_ENDCAP_FLAT */
697696 DrawSetStrokeLineJoin(WmfDrawContext,MiterJoin); /* Default linejoin is PS_JOIN_MITER */
diff -r dbafaec313a1 -r 26a00ae9d907 configure
--- a/configure Mon Mar 29 21:37:34 2004 -0600
+++ b/configure Sun Apr 04 20:56:38 2004 -0500
@@ -29700,30 +29700,28 @@
2970029700 fi
2970129701 fi
2970229702
29703-
29704-for ac_header in freetype/freetype.h
29705-do
29706-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
29707-if eval "test \"\${$as_ac_Header+set}\" = set"; then
29708- echo "$as_me:$LINENO: checking for $ac_header" >&5
29709-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
29710-if eval "test \"\${$as_ac_Header+set}\" = set"; then
29711- echo $ECHO_N "(cached) $ECHO_C" >&6
29712-fi
29713-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
29714-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
29703+ # Some Freetype installs appear to require that <ft2build.h> be
29704+ # included prior to including <freetype/freetype.h>. Oops!
29705+ if test "${ac_cv_header_ft2build_h+set}" = set; then
29706+ echo "$as_me:$LINENO: checking for ft2build.h" >&5
29707+echo $ECHO_N "checking for ft2build.h... $ECHO_C" >&6
29708+if test "${ac_cv_header_ft2build_h+set}" = set; then
29709+ echo $ECHO_N "(cached) $ECHO_C" >&6
29710+fi
29711+echo "$as_me:$LINENO: result: $ac_cv_header_ft2build_h" >&5
29712+echo "${ECHO_T}$ac_cv_header_ft2build_h" >&6
2971529713 else
2971629714 # Is the header compilable?
29717-echo "$as_me:$LINENO: checking $ac_header usability" >&5
29718-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
29719-cat >conftest.$ac_ext <<_ACEOF
29720-/* confdefs.h. */
29721-_ACEOF
29722-cat confdefs.h >>conftest.$ac_ext
29723-cat >>conftest.$ac_ext <<_ACEOF
29724-/* end confdefs.h. */
29725-$ac_includes_default
29726-#include <$ac_header>
29715+echo "$as_me:$LINENO: checking ft2build.h usability" >&5
29716+echo $ECHO_N "checking ft2build.h usability... $ECHO_C" >&6
29717+cat >conftest.$ac_ext <<_ACEOF
29718+/* confdefs.h. */
29719+_ACEOF
29720+cat confdefs.h >>conftest.$ac_ext
29721+cat >>conftest.$ac_ext <<_ACEOF
29722+/* end confdefs.h. */
29723+$ac_includes_default
29724+#include <ft2build.h>
2972729725 _ACEOF
2972829726 rm -f conftest.$ac_objext
2972929727 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -29759,15 +29757,15 @@
2975929757 echo "${ECHO_T}$ac_header_compiler" >&6
2976029758
2976129759 # Is the header present?
29762-echo "$as_me:$LINENO: checking $ac_header presence" >&5
29763-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
29764-cat >conftest.$ac_ext <<_ACEOF
29765-/* confdefs.h. */
29766-_ACEOF
29767-cat confdefs.h >>conftest.$ac_ext
29768-cat >>conftest.$ac_ext <<_ACEOF
29769-/* end confdefs.h. */
29770-#include <$ac_header>
29760+echo "$as_me:$LINENO: checking ft2build.h presence" >&5
29761+echo $ECHO_N "checking ft2build.h presence... $ECHO_C" >&6
29762+cat >conftest.$ac_ext <<_ACEOF
29763+/* confdefs.h. */
29764+_ACEOF
29765+cat confdefs.h >>conftest.$ac_ext
29766+cat >>conftest.$ac_ext <<_ACEOF
29767+/* end confdefs.h. */
29768+#include <ft2build.h>
2977129769 _ACEOF
2977229770 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
2977329771 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -29801,25 +29799,25 @@
2980129799 # So? What about this header?
2980229800 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
2980329801 yes:no: )
29804- { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
29805-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
29806- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
29807-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
29802+ { echo "$as_me:$LINENO: WARNING: ft2build.h: accepted by the compiler, rejected by the preprocessor!" >&5
29803+echo "$as_me: WARNING: ft2build.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
29804+ { echo "$as_me:$LINENO: WARNING: ft2build.h: proceeding with the compiler's result" >&5
29805+echo "$as_me: WARNING: ft2build.h: proceeding with the compiler's result" >&2;}
2980829806 ac_header_preproc=yes
2980929807 ;;
2981029808 no:yes:* )
29811- { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
29812-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
29813- { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
29814-echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
29815- { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
29816-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
29817- { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
29818-echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
29819- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
29820-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
29821- { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
29822-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
29809+ { echo "$as_me:$LINENO: WARNING: ft2build.h: present but cannot be compiled" >&5
29810+echo "$as_me: WARNING: ft2build.h: present but cannot be compiled" >&2;}
29811+ { echo "$as_me:$LINENO: WARNING: ft2build.h: check for missing prerequisite headers?" >&5
29812+echo "$as_me: WARNING: ft2build.h: check for missing prerequisite headers?" >&2;}
29813+ { echo "$as_me:$LINENO: WARNING: ft2build.h: see the Autoconf documentation" >&5
29814+echo "$as_me: WARNING: ft2build.h: see the Autoconf documentation" >&2;}
29815+ { echo "$as_me:$LINENO: WARNING: ft2build.h: section \"Present But Cannot Be Compiled\"" >&5
29816+echo "$as_me: WARNING: ft2build.h: section \"Present But Cannot Be Compiled\"" >&2;}
29817+ { echo "$as_me:$LINENO: WARNING: ft2build.h: proceeding with the preprocessor's result" >&5
29818+echo "$as_me: WARNING: ft2build.h: proceeding with the preprocessor's result" >&2;}
29819+ { echo "$as_me:$LINENO: WARNING: ft2build.h: in the future, the compiler will take precedence" >&5
29820+echo "$as_me: WARNING: ft2build.h: in the future, the compiler will take precedence" >&2;}
2982329821 (
2982429822 cat <<\_ASBOX
2982529823 ## ------------------------------------------ ##
@@ -29830,27 +29828,80 @@
2983029828 sed "s/^/$as_me: WARNING: /" >&2
2983129829 ;;
2983229830 esac
29833-echo "$as_me:$LINENO: checking for $ac_header" >&5
29834-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
29835-if eval "test \"\${$as_ac_Header+set}\" = set"; then
29836- echo $ECHO_N "(cached) $ECHO_C" >&6
29837-else
29838- eval "$as_ac_Header=\$ac_header_preproc"
29839-fi
29840-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
29841-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
29842-
29843-fi
29844-if test `eval echo '${'$as_ac_Header'}'` = yes; then
29845- cat >>confdefs.h <<_ACEOF
29846-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
29847-_ACEOF
29848-
29849-fi
29850-
29851-done
29852-
29853- if test "$ac_cv_header_freetype_freetype_h" = 'yes'
29831+echo "$as_me:$LINENO: checking for ft2build.h" >&5
29832+echo $ECHO_N "checking for ft2build.h... $ECHO_C" >&6
29833+if test "${ac_cv_header_ft2build_h+set}" = set; then
29834+ echo $ECHO_N "(cached) $ECHO_C" >&6
29835+else
29836+ ac_cv_header_ft2build_h=$ac_header_preproc
29837+fi
29838+echo "$as_me:$LINENO: result: $ac_cv_header_ft2build_h" >&5
29839+echo "${ECHO_T}$ac_cv_header_ft2build_h" >&6
29840+
29841+fi
29842+if test $ac_cv_header_ft2build_h = yes; then
29843+ FT2BUILD_H='#include <ft2build.h>'
29844+else
29845+ ft2build=''
29846+fi
29847+
29848+
29849+ echo "$as_me:$LINENO: checking for freetype/freetype.h" >&5
29850+echo $ECHO_N "checking for freetype/freetype.h... $ECHO_C" >&6
29851+if test "${ac_cv_header_freetype_freetype_h+set}" = set; then
29852+ echo $ECHO_N "(cached) $ECHO_C" >&6
29853+else
29854+ cat >conftest.$ac_ext <<_ACEOF
29855+/* confdefs.h. */
29856+_ACEOF
29857+cat confdefs.h >>conftest.$ac_ext
29858+cat >>conftest.$ac_ext <<_ACEOF
29859+/* end confdefs.h. */
29860+$FT2BUILD_H
29861+
29862+#include <freetype/freetype.h>
29863+_ACEOF
29864+rm -f conftest.$ac_objext
29865+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
29866+ (eval $ac_compile) 2>conftest.er1
29867+ ac_status=$?
29868+ grep -v '^ *+' conftest.er1 >conftest.err
29869+ rm -f conftest.er1
29870+ cat conftest.err >&5
29871+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
29872+ (exit $ac_status); } &&
29873+ { ac_try='test -z "$ac_c_werror_flag"
29874+ || test ! -s conftest.err'
29875+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29876+ (eval $ac_try) 2>&5
29877+ ac_status=$?
29878+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
29879+ (exit $ac_status); }; } &&
29880+ { ac_try='test -s conftest.$ac_objext'
29881+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29882+ (eval $ac_try) 2>&5
29883+ ac_status=$?
29884+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
29885+ (exit $ac_status); }; }; then
29886+ ac_cv_header_freetype_freetype_h=yes
29887+else
29888+ echo "$as_me: failed program was:" >&5
29889+sed 's/^/| /' conftest.$ac_ext >&5
29890+
29891+ac_cv_header_freetype_freetype_h=no
29892+fi
29893+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
29894+fi
29895+echo "$as_me:$LINENO: result: $ac_cv_header_freetype_freetype_h" >&5
29896+echo "${ECHO_T}$ac_cv_header_freetype_freetype_h" >&6
29897+if test $ac_cv_header_freetype_freetype_h = yes; then
29898+ have_freetype_h='yes'
29899+else
29900+ have_freetype_h='no'
29901+fi
29902+
29903+
29904+ if test "$have_freetype_h" = 'yes'
2985429905 then
2985529906 passed=`expr $passed + 1`
2985629907 else
@@ -29875,6 +29926,14 @@
2987529926 #define HasTTF 1
2987629927 _ACEOF
2987729928
29929+ if test "$ac_cv_header_ft2build_h" = 'yes'
29930+ then
29931+
29932+cat >>confdefs.h <<\_ACEOF
29933+#define HAVE_FT2BUILD_H 1
29934+_ACEOF
29935+
29936+ fi
2987829937 echo "$as_me:$LINENO: result: yes" >&5
2987929938 echo "${ECHO_T}yes" >&6
2988029939 have_ttf='yes'
diff -r dbafaec313a1 -r 26a00ae9d907 configure.ac
--- a/configure.ac Mon Mar 29 21:37:34 2004 -0600
+++ b/configure.ac Sun Apr 04 20:56:38 2004 -0500
@@ -1474,8 +1474,11 @@
14741474 fi
14751475
14761476 dnl Now test for the headers
1477- AC_CHECK_HEADERS(freetype/freetype.h)
1478- if test "$ac_cv_header_freetype_freetype_h" = 'yes'
1477+ # Some Freetype installs appear to require that <ft2build.h> be
1478+ # included prior to including <freetype/freetype.h>. Oops!
1479+ AC_CHECK_HEADER([ft2build.h],[FT2BUILD_H='#include <ft2build.h>'],[ft2build=''],[])
1480+ AC_CHECK_HEADER(freetype/freetype.h,[have_freetype_h='yes'],[have_freetype_h='no'],[$FT2BUILD_H])
1481+ if test "$have_freetype_h" = 'yes'
14791482 then
14801483 passed=`expr $passed + 1`
14811484 else
@@ -1494,6 +1497,10 @@
14941497 else
14951498 LIBS="$LIB_TTF $LIBS"
14961499 AC_DEFINE(HasTTF,1,Define if you have FreeType (TrueType font) library)
1500+ if test "$ac_cv_header_ft2build_h" = 'yes'
1501+ then
1502+ AC_DEFINE([HAVE_FT2BUILD_H],[1],[Define to 1 if you have the <ft2build.h> header file.])
1503+ fi
14971504 AC_MSG_RESULT(yes)
14981505 have_ttf='yes'
14991506 fi
diff -r dbafaec313a1 -r 26a00ae9d907 magick/delegate.c
--- a/magick/delegate.c Mon Mar 29 21:37:34 2004 -0600
+++ b/magick/delegate.c Sun Apr 04 20:56:38 2004 -0500
@@ -747,7 +747,9 @@
747747 }
748748 formatted_chars=fprintf(file,"%.*s",strip_length,s);
749749 length+=formatted_chars;
750- fprintf(file,"\n");
750+ fprintf(file,"\n");
751+ if (formatted_chars == 0)
752+ break;
751753 }
752754 }
753755 for (i=0; commands[i] != (char *) NULL; i++)
diff -r dbafaec313a1 -r 26a00ae9d907 magick/magick_config.h.in
--- a/magick/magick_config.h.in Mon Mar 29 21:37:34 2004 -0600
+++ b/magick/magick_config.h.in Sun Apr 04 20:56:38 2004 -0500
@@ -79,8 +79,8 @@
7979 /* define if the compiler supports the explicit keyword */
8080 #undef HAVE_EXPLICIT
8181
82-/* Define to 1 if you have the <freetype/freetype.h> header file. */
83-#undef HAVE_FREETYPE_FREETYPE_H
82+/* Define to 1 if you have the <ft2build.h> header file. */
83+#undef HAVE_FT2BUILD_H
8484
8585 /* Define to 1 if you have the `ftime' function. */
8686 #undef HAVE_FTIME
diff -r dbafaec313a1 -r 26a00ae9d907 magick/version.h
--- a/magick/version.h Mon Mar 29 21:37:34 2004 -0600
+++ b/magick/version.h Sun Apr 04 20:56:38 2004 -0500
@@ -38,7 +38,7 @@
3838 #define MagickLibVersion 0x000008
3939 #define MagickLibVersionText "1.0.6"
4040 #define MagickLibVersionNumber 0,0,8
41-#define MagickReleaseDate "unreleased"
41+#define MagickReleaseDate "04/04/04"
4242
4343
4444 #if (QuantumDepth == 8)
diff -r dbafaec313a1 -r 26a00ae9d907 utilities/Makefile.am
--- a/utilities/Makefile.am Mon Mar 29 21:37:34 2004 -0600
+++ b/utilities/Makefile.am Sun Apr 04 20:56:38 2004 -0500
@@ -60,7 +60,7 @@
6060 ${GM} convert $(MODEL_MIFF) -blur 0.0x1.0 -label Blur Blur_out.miff
6161 ${GM} convert $(MODEL_MIFF) -bordercolor gold -border 6x6 -label Border Border_out.miff
6262 ${GM} convert $(MODEL_MIFF) -label Channel Channel_out.miff
63- ${GM} convert $(MODEL_MIFF) -charcoal 0x1 -label Charcoal Charcoal_out.miff
63+ ${GM} convert $(MODEL_MIFF) -charcoal 0.0x1.0 -label Charcoal Charcoal_out.miff
6464 ${GM} composite $(SMILE_MIFF) -geometry +35+65 $(MODEL_MIFF) -label Composite Comp_out.miff
6565 ${GM} convert $(MODEL_MIFF) -contrast -label Contrast Contrast_out.miff
6666 ${GM} convert $(MODEL_MIFF) -label Convolve Convolve_out.miff
@@ -68,8 +68,8 @@
6868 ${GM} convert $(MODEL_MIFF) -crop '80x80+25+50' -label Crop Crop_out.miff
6969 ${GM} convert $(MODEL_MIFF) -fill none -stroke gold \
7070 -draw 'circle 60,90 60,120' -label Draw Draw_out.miff
71- ${GM} convert $(MODEL_MIFF) -edge 0x1 -label Edge Edge_out.miff
72- ${GM} convert $(MODEL_MIFF) -emboss 0x1 -label Emboss Emboss_out.miff
71+ ${GM} convert $(MODEL_MIFF) -edge 0.0x1.0 -label Edge Edge_out.miff
72+ ${GM} convert $(MODEL_MIFF) -emboss 0.0x1.0 -label Emboss Emboss_out.miff
7373 ${GM} convert $(MODEL_MIFF) -equalize -label Equalize Equalize_out.miff
7474 ${GM} convert $(MODEL_MIFF) -implode -1 -label Explode Explode_out.miff
7575 ${GM} convert $(MODEL_MIFF) -flip -label Flip Flip_out.miff
@@ -87,11 +87,11 @@
8787 +dither -label Monochrome Mono_out.miff
8888 ${GM} convert $(MODEL_MIFF) -negate -label Negate Negate_out.miff
8989 ${GM} convert $(MODEL_MIFF) -normalize -label Normalize Normal_out.miff
90- ${GM} convert $(MODEL_MIFF) -paint 0x1 -label Oilpaint Oil_out.miff
90+ ${GM} convert $(MODEL_MIFF) -paint 0.0x1.0 -label Oilpaint Oil_out.miff
9191 ${GM} convert -size 130x194 plasma:fractal -label Plasma Plasma_out.miff
9292 ${GM} convert $(MODEL_MIFF) -label Quantize Quantize_out.miff
9393 ${GM} convert $(MODEL_MIFF) -raise 10x10 -label Raise Raise_out.miff
94- ${GM} convert $(MODEL_MIFF) -noise 0x1 -label ReduceNoise RedN_out.miff
94+ ${GM} convert $(MODEL_MIFF) -noise 0.0x1.0 -label ReduceNoise RedN_out.miff
9595 ${GM} convert $(MODEL_MIFF) -resize 50% -label Resize Resize_out.miff
9696 ${GM} convert $(MODEL_MIFF) -roll +20+10 -label Roll Roll_out.miff
9797 ${GM} convert $(MODEL_MIFF) -fill black -rotate 45 \
diff -r dbafaec313a1 -r 26a00ae9d907 utilities/Makefile.in
--- a/utilities/Makefile.in Mon Mar 29 21:37:34 2004 -0600
+++ b/utilities/Makefile.in Sun Apr 04 20:56:38 2004 -0500
@@ -833,7 +833,7 @@
833833 ${GM} convert $(MODEL_MIFF) -blur 0.0x1.0 -label Blur Blur_out.miff
834834 ${GM} convert $(MODEL_MIFF) -bordercolor gold -border 6x6 -label Border Border_out.miff
835835 ${GM} convert $(MODEL_MIFF) -label Channel Channel_out.miff
836- ${GM} convert $(MODEL_MIFF) -charcoal 0x1 -label Charcoal Charcoal_out.miff
836+ ${GM} convert $(MODEL_MIFF) -charcoal 0.0x1.0 -label Charcoal Charcoal_out.miff
837837 ${GM} composite $(SMILE_MIFF) -geometry +35+65 $(MODEL_MIFF) -label Composite Comp_out.miff
838838 ${GM} convert $(MODEL_MIFF) -contrast -label Contrast Contrast_out.miff
839839 ${GM} convert $(MODEL_MIFF) -label Convolve Convolve_out.miff
@@ -841,8 +841,8 @@
841841 ${GM} convert $(MODEL_MIFF) -crop '80x80+25+50' -label Crop Crop_out.miff
842842 ${GM} convert $(MODEL_MIFF) -fill none -stroke gold \
843843 -draw 'circle 60,90 60,120' -label Draw Draw_out.miff
844- ${GM} convert $(MODEL_MIFF) -edge 0x1 -label Edge Edge_out.miff
845- ${GM} convert $(MODEL_MIFF) -emboss 0x1 -label Emboss Emboss_out.miff
844+ ${GM} convert $(MODEL_MIFF) -edge 0.0x1.0 -label Edge Edge_out.miff
845+ ${GM} convert $(MODEL_MIFF) -emboss 0.0x1.0 -label Emboss Emboss_out.miff
846846 ${GM} convert $(MODEL_MIFF) -equalize -label Equalize Equalize_out.miff
847847 ${GM} convert $(MODEL_MIFF) -implode -1 -label Explode Explode_out.miff
848848 ${GM} convert $(MODEL_MIFF) -flip -label Flip Flip_out.miff
@@ -860,11 +860,11 @@
860860 +dither -label Monochrome Mono_out.miff
861861 ${GM} convert $(MODEL_MIFF) -negate -label Negate Negate_out.miff
862862 ${GM} convert $(MODEL_MIFF) -normalize -label Normalize Normal_out.miff
863- ${GM} convert $(MODEL_MIFF) -paint 0x1 -label Oilpaint Oil_out.miff
863+ ${GM} convert $(MODEL_MIFF) -paint 0.0x1.0 -label Oilpaint Oil_out.miff
864864 ${GM} convert -size 130x194 plasma:fractal -label Plasma Plasma_out.miff
865865 ${GM} convert $(MODEL_MIFF) -label Quantize Quantize_out.miff
866866 ${GM} convert $(MODEL_MIFF) -raise 10x10 -label Raise Raise_out.miff
867- ${GM} convert $(MODEL_MIFF) -noise 0x1 -label ReduceNoise RedN_out.miff
867+ ${GM} convert $(MODEL_MIFF) -noise 0.0x1.0 -label ReduceNoise RedN_out.miff
868868 ${GM} convert $(MODEL_MIFF) -resize 50% -label Resize Resize_out.miff
869869 ${GM} convert $(MODEL_MIFF) -roll +20+10 -label Roll Roll_out.miff
870870 ${GM} convert $(MODEL_MIFF) -fill black -rotate 45 \
diff -r dbafaec313a1 -r 26a00ae9d907 version.sh
--- a/version.sh Mon Mar 29 21:37:34 2004 -0600
+++ b/version.sh Sun Apr 04 20:56:38 2004 -0500
@@ -13,7 +13,7 @@
1313
1414 #
1515 # Formal Package release date
16-PACKAGE_RELEASE_DATE="unreleased"
16+PACKAGE_RELEASE_DATE="04/04/04"
1717
1818 #
1919 # Package version addendum. This is an arbitrary suffix (if any)
diff -r dbafaec313a1 -r 26a00ae9d907 www/Changelog.html
--- a/www/Changelog.html Mon Mar 29 21:37:34 2004 -0600
+++ b/www/Changelog.html Sun Apr 04 20:56:38 2004 -0500
@@ -53,6 +53,20 @@
5353 </tr>
5454 </table>
5555 <p>
56+2004-04-04 Bob Friesenhahn &lt;bfriesen@simple.dallas.tx.us&gt;
57+
58+<UL>
59+ <LI> version.sh (PACKAGE_RELEASE_DATE): Release 1.0.6 in order to
60+ capture the remaining fixes on the 1.0 branch.
61+ <LI> coders/wmf.c (ipa_device_begin): Resolve WMF rendering bug with
62+ black color.<BR>
63+ <LI> configure.ac: Update tests for FreeType headers since they
64+ started to fail with the latest FreeType.
65+ <LI> magick/delegate.c (ListDelegateInfo): Ensure that loop
66+ terminates if fprintf returns zero.
67+
68+</UL>
69+<p>
5670 2004-03-29 Bob Friesenhahn &lt;bfriesen@simple.dallas.tx.us&gt;
5771
5872 <UL>
Afficher sur ancien navigateur de dépôt.